Create Framework Policy API

POST /pcas/v3/policy

With this API, you can create a new framework policy.

Input ParametersInput Parameters

Parameter Name

Required / Optional

Data Type

Description

frameworkId={value} Required Integer Framework ID for which framework policy needs to be created.
technologyIds={value} Required Integer Technology ID for which framework policy needs to be created.
policyTitle={value}
Required String Title for the framwork policy is to be created.
assetGroupIds={value} Optional Integer Asset Group IDs for which framework policy needs to be created.
isLocked={true|false} Optional Boolean Use this parameter to lock the framework policy. Specify true to lock the policy. Specify false to unlock the policy.
sections Required SectionDTO Add the section details by fetching them from Configure Controls API output.
tagsIncludeAssetResolution={value} Optional String Asset tags include resolution.

By default, the value is set to 'Any'.

Use this parameter along with tagsIncludeIds parameter.
tagsExcludeAssetResolution={value} Optional String Asset tags exclude resolution.

By default, the value is set to 'Any'.

Use this parameter along with tagsExcludeIds parameter.
tagsIncludeIds={value} Optional Integer Tag IDs to be included in the framework policy.
tagsExcludeIds={value} Optional Integer Tag IDs to be excluded from the framework policy.
description={value} Optional String A description about the framework policy.

Sample - Create new framework policySample - Create new framework policy

API Request

curl --location '<gateway_base_url>/pcas/v3/policy'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer'
--data-raw '{"frameworkId":5364,"policyTitle":"Test Framework Policy Api 1","isActive":true,"isLocked":false,"technologyIds":[198,217,231,341,424,132,137,165],"coverPage":"CIS,DISA STIG,Qualys","sections":<add this data from configure control POST call output>,"assetGroupIds":[55294832], "tagsIncludeIds": [
756253623
],
"tagsExcludeIds": [
564563478
],
"tagsIncludeAssetResolution": "Any",
"tagsExcludeAssetResolution": "Any"
}’

JSON Output

[
{
"message": "Policy Created successfully",
"policyId": 2069421,
"imported": false,
"active": true
}
]

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.